#
# TODO:
#   - egg-info
%define 	module	ClientCookie
#
Summary:	Python module for handling HTTP cookies on the client side
Summary(pl.UTF-8):	Moduł Pythona obsługi ciasteczek HTTP (cookies) po stronie klienta
Name:		python-%{module}
Version:	1.3.0
Release:	5
License:	BSD/ZPL 2.1
Group:		Libraries/Python
Source0:	http://wwwsearch.sourceforge.net/ClientCookie/src/%{module}-%{version}.tar.gz
# Source0-md5:	7a43e4624299b3951ae1a442194d2185
URL:		http://wwwsearch.sourceforge.net/ClientCookie/
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ClientCookie is a Python module for handling HTTP cookies on the
client side, useful for accessing web sites that require cookies to be
set and then returned later. It also provides some other (optional)
useful stuff: HTTP-EQUIV and Refresh handling, automatic adding of the
Referer [sic] header and lazily-seek()able responses. These extras are
implemented using an extension that makes it easier to add new
functionality to urllib2. It has developed from a port of Gisle Aas'
Perl module HTTP::Cookies, from the libwww-perl library.

%description -l pl.UTF-8
ClientCookie jest modułem języka Python obsługującym ciasteczka HTTP
(cookies) po stronie klienta. Ułatwia dostęp do stron WWW wymagających
ustawienia oraz zwracania ciasteczek. Dodatkowo dostarcza inne
(opcjonalne) możliwości, takie jak: obsługa HTTP-EQUIV i Refresh,
automatyczne dodawanie nagłówka Referer i odpowiedzi przeszukiwane
z opóźnieniem. Dodatki te są zaimplementowane przy użyciu rozszerzenia,
ułatwiającego dodawanie nowych funkcji do urllib2. ClientCookie został
stworzony na podstawie modułu HTTP::Cookies dla Perla pochodzącego
z biblioteki libwww-perl.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_install

%py_postclean
install test/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.txt ChangeLog.txt GeneralFAQ.html INSTALL.txt README.txt doc.html
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ClientCookie.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 78818ab
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 74efba3
- automatic change: use py_build/py_install macros

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bf10113
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b7d6ffa
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 522951f
- release 2

* Tue Apr 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 4076404
- unified

* Tue Apr 17 2007 beorn <beorn@pld-linux.org> 711675a
- up to 1.3.0
- pl fixes
- License fix
- Group change
- py_postclean macro

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 757ae33
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b135611
- converted to UTF-8

* Mon Feb 28 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 19e3285
- updated to 1.0.3

* Thu Dec 23 2004 saq <saq@pld-linux.org> ddf558c
- fixed {build,}reqs
- release 2 for rebuild with python 2.4

* Fri Jun 04 2004 jpc <jpc@pld-linux.org> 50c3b8a
- new version 0.9.4a

* Wed May 26 2004 ankry <ankry@pld-linux.org> efb508d
- capitalization, tabs, other cosmetics

* Sun Feb 22 2004 Jakub Bogusz <qboosh@pld-linux.org> b1c17e3
- shorter summaries ("package providing" is obvious)
- dropped README.txt (just lynx-rendered copy of README.html)

* Sun Feb 15 2004 ankry <ankry@pld-linux.org> f2a9f62
- spaces -> tab

* Sun Feb 15 2004 Adam Gołębiowski <adamg@pld-linux.org> be092a4
- fixes from Jakub Piotr Clapa <loc(at)toya.net.pl>

* Sun Feb 15 2004 ankry <ankry@pld-linux.org> b27460a
- cosmetics

* Sat Feb 14 2004 undefine <undefine@pld-linux.org> 91a39ec
- BA: noarch

* Sat Feb 14 2004 undefine <undefine@pld-linux.org> 162e937
- remove obsolete including /usr/lib/rpm/macros.python
- don't use scriptdir - sitescriptdir is enough.. i think ;)
- md5sum
- release 1

* Sat Feb 14 2004 undefine <undefine@pld-linux.org> 9a53a7a
- initial version by Jakub Piotr Cłapa <loc@toya.net.pl>

